#!/bin/bash

exp_artifacts_folder=${HOME}/exp_artifacts
exp_results_folder=${HOME}/exp_results
mkdir -p ${exp_results_folder}

for folder in $(find "$exp_artifacts_folder" -maxdepth 1 -type d); do
    merged_model=${folder}/merged
    exp_name=$(basename $folder)
    # Merged model
    if [ -d "$merged_model" ]; then
        echo "Moving $merged_model"
        mv $merged_model ${exp_artifacts_folder}/${exp_name}_merged
    fi
    
    # Results
    echo "Moving results"
    results_folder=${folder}/results/mmlu
    if [ -d "$results_folder" ]; then
        mkdir -p ${exp_results_folder}/${exp_name}/mmlu
        cp $results_folder/* ${exp_results_folder}/${exp_name}/mmlu/
        rm -rf ${folder}/results 
    fi
done