#!/bin/bash
set -e
set -x

env_file=$1
source ${env_file}
model_name=$2

echo "Running GSM for model = $model_name"
model_path="${WS_PATH}/exp_artifacts/${model_name}"
peft_file="${WS_PATH}/exp_artifacts/${model_name}/adapter_model.bin"
if [ -f "${peft_file}" ]; then
    echo "Found Peft files"
    merged_path="${WS_PATH}/exp_artifacts/${model_name}_merged"
    if [ ! -d "${merged_path}" ]; then
        echo "Merging"
        "${OI_PY}" ${WS_PATH}/open-instruct/open_instruct/merge_lora.py \
            --lora_model_name_or_path ${WS_PATH}/exp_artifacts/${model_name} \
            --output_dir "${merged_path}" 
    fi
    model_path="${merged_path}"

fi

results_path="${WS_PATH}/exp_results/${model_name}"
mkdir -p "${results_path}"

"${OI_PY}" "${CURR_CODE_PATH}/src/cl_llm/eval/eval_gsm.py" \
    --data_file "${CURR_CODE_PATH}/WizardLM/WizardMath/data/gsm8k_test.jsonl" \
    --model ${model_path} \
    --tokenizer ${model_path} \
    --batch_size 60 \
    --tensor_parallel_size 1 \
    --output_file "${results_path}/gsm_metrics.json"