#!/bin/bash
set -e
set -x

env_file=$1
source ${env_file}
model_name=$2

model_to_test="${WS_PATH}/exp_artifacts/${model_name}"
tokenizer_path=${model_to_test}
echo "Running MATH for model = ${model_to_test}}"

peft_file="${WS_PATH}/exp_artifacts/${model_name}/adapter_model.bin"
if [ -f "${peft_file}" ]; then
    echo "Found Peft files"
    merged_path="${model_to_test}_merged"
    if [ ! -d "${merged_path}" ]; then
        echo "Merging"
        "${OI_PY}" ${WS_PATH}/open-instruct/open_instruct/merge_lora.py \
            --lora_model_name_or_path ${model_to_test} \
            --output_dir "${merged_path}" 
    fi
    model_to_test="${merged_path}"
fi

results_path="${WS_PATH}/exp_results/${model_name}"
mkdir -p "${results_path}"

"${OI_PY}" "${CURR_CODE_PATH}/src/cl_llm/eval/eval_math.py" \
    --data_file "${CURR_CODE_PATH}/WizardLM/WizardMath/data/MATH_test.jsonl" \
    --model "${model_to_test}"  \
    --tokenizer "${tokenizer_path}" \
    --batch_size 60 \
    --tensor_parallel_size 1 \
    --world_size ${NGC_GPUS_PER_NODE}