import sys
import json
from pathlib import Path
from alpaca_farm.auto_annotations import alpaca_leaderboard

exp_path = Path(sys.argv[1])
exp_name = exp_path.stem
print('exp_name:', exp_name)
file_path = list((exp_path /  'alpaca_farm').glob('*.json'))[0]

with file_path.open() as f: 
    my_outputs = json.load(f)

print('Sample output:')
print(my_outputs[0])


df_results = alpaca_leaderboard(
    path_or_all_outputs=my_outputs,
    name=f"{exp_name}-greedy-long",
    is_add_reference_methods=False,
    annotators_config = "annotators/greedy_gpt4/configs.yaml"
)

# print(df_results.to_string(float_format="%.2f"))

df_results.to_csv((exp_path / "alpaca_farm"/ f"{exp_name}-greedy-long.csv").as_posix(), index=False)

print('Done!')
