export CUDA_VISIBLE_DEVICES=0

MODELS_PATH=/mnt/cl_llm_data/models
MODEL_NAME=meta_llama_Llama_2_7b_hf
MODEL_PATH=$MODELS_PATH/$MODEL_NAME

if [ -z "$RESEARCH_INTERACTIVE_TOOLKIT" ]; then
    export PROCESSED_EVAL_DATA_PATH=
else
    # In toolkit
    export PROCESSED_EVAL_DATA_PATH=/mnt/cl_llm_data/datasets/open_instruct/eval/processed
fi

# --max_num_examples_per_lang 100 \
PYTHONPATH=./open-instruct nohup python -m eval.tydiqa.run_eval \
    --data_dir ${PROCESSED_EVAL_DATA_PATH}/tydiqa/ \
    --n_shot 1 \
    --max_context_length 2048 \
    --save_dir results/tydiqa/llama2-7B-goldp-1shot \
    --model $MODEL_PATH \
    --tokenizer $MODEL_PATH \
    --eval_batch_size 4 \
    --load_in_8bit \
    --use_chat_format 2>&1 > logs/llama2-7B-goldp-1shot_eval.log &