#!/bin/bash
if [ -z "$1" ]
  then
	echo "No config supplied"
	exit 1
fi
CONFIG_FILE=$1
NUM_GPUS=$(nvidia-smi --list-gpus | wc -l)


echo "Training using CONFIG_FILE=${CONFIG_FILE}" 

export PYTHONPATH=src:open-instruct:open-instruct/open_instruct
# Lora training
nohup accelerate launch \
	--mixed_precision bf16 \
	--num_machines 1 \
	--num_processes $NUM_GPUS \
	--use_deepspeed \
	--deepspeed_config_file ds_configs/stage3_no_offloading_accelerate.conf \
	src/cl_llm/finetune_ss.py --config_file ${CONFIG_FILE} \ 
	2>&1 > logs/curr_train.out & 

tail -f logs/curr_train.out 
