from math import ceil

import attr

@attr.s
class CustomSuperMemo2:
    easiness = attr.ib(validator=attr.validators.instance_of(float))
    interval = attr.ib(validator=attr.validators.instance_of(int))
    successful_repetitions = attr.ib(validator=attr.validators.instance_of(int))
    total_repetitions = attr.ib(validator=attr.validators.instance_of(int))

    @staticmethod
    def first_review(
        quality: int,
    ) -> "CustomSuperMemo2":
        return CustomSuperMemo2(2.5, 0, 1, 1).review(quality)

    def review(
        self,
        quality: int,
    ) -> "CustomSuperMemo2":
        self.total_repetitions += 1
        if quality < 3:
            self.interval = 1
            self.successful_repetitions = 0
        else:
            if self.successful_repetitions == 0:
                self.interval = 1
            elif self.successful_repetitions == 1:
                self.interval = 6
            else:
                self.interval = ceil(self.interval * self.easiness)

            self.successful_repetitions = self.successful_repetitions + 1

        self.easiness += 0.1 - (5 - quality) * (0.08 + (5 - quality) * 0.02)
        if self.easiness < 1.3:
            self.easiness = 1.3

        return self